aboutsummaryrefslogtreecommitdiffstats
path: root/testing/php7/php7-fpm.initd
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-02-08 20:07:54 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-02-10 12:48:54 +0100
commit9db98a17fabead3bbf63f1c407aa8728c7d163b8 (patch)
tree6e4aa3a47314496304c094036d00d28f7d87f01b /testing/php7/php7-fpm.initd
parent69660a2252bcd3d6877446ba4605ef58acb696fc (diff)
downloadaports-9db98a17fabead3bbf63f1c407aa8728c7d163b8.tar.bz2
aports-9db98a17fabead3bbf63f1c407aa8728c7d163b8.tar.xz
testing/php7: new aport
The PHP language runtime engine - 7th branch http://php.net/
Diffstat (limited to 'testing/php7/php7-fpm.initd')
-rw-r--r--testing/php7/php7-fpm.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/php7/php7-fpm.initd b/testing/php7/php7-fpm.initd
new file mode 100644
index 0000000000..c6bd71a69a
--- /dev/null
+++ b/testing/php7/php7-fpm.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+
+name="PHP7 FastCGI Process Manager"
+cfgfile="/etc/php7/php-fpm.conf"
+pidfile="/var/run/php-fpm7.pid"
+command="/usr/sbin/php-fpm7"
+command_args="--fpm-config $cfgfile --pid $pidfile"
+required_files="$cfgfile"
+
+extra_started_commands="reload"
+
+depend() {
+ need net
+ before apache2 lighttpd nginx
+}
+
+start_pre() {
+ ebegin
+ $command $command_args -t 2>/dev/null
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading $name"
+ start-stop-daemon --signal USR2 --pidfile $pidfile
+ eend $?
+}